<?xml version="1.0" encoding="UTF-8"?>
<featuremodels>
	<featuremodel name="planar3teager">
		<feature>InputColumn(POSTAG, ActiveStack[0])</feature>
		<feature>InputColumn(POSTAG, Input[0])</feature>
		<feature>InputColumn(POSTAG, Input[1])</feature>
		<feature>InputColumn(POSTAG, Input[2])</feature>
		<feature>InputColumn(POSTAG, Input[3])</feature>
		<feature>InputColumn(POSTAG, ActiveStack[1])</feature>
                <feature>InputColumn(POSTAG, pred(Input[0]))</feature>

		<!--Mejora con esto-->
                <feature>OutputColumn(DEPREL, Input[0])</feature>
                
                <feature>OutputColumn(DEPREL, ActiveStack[0])</feature>
                <feature>OutputColumn(DEPREL, ldep(ActiveStack[0]))</feature>
		<feature>OutputColumn(DEPREL, rdep(ActiveStack[0]))</feature>
		<!--<feature>OutputColumn(DEPREL, ldep(Input[0]))</feature>-->

<!-- Se ha sacado ldep(Stack) y ldep(Input) en 3T y 3T2 -->
          
		<feature>OutputColumn3T(DEPREL, ActiveStack[0])</feature>
                <feature>OutputColumn3T(DEPREL, rdep(ActiveStack[0]))</feature>
		<feature>OutputColumn3T2(DEPREL, ActiveStack[0])</feature>
		<feature>OutputColumn3T2(DEPREL, rdep(ActiveStack[0]))</feature>
		
		<feature>InputColumn(FORM, ActiveStack[0])</feature>
		<feature>InputColumn(FORM, Input[0])</feature>
		<feature>InputColumn(FORM, Input[1])</feature>
<feature>InputColumn(FORM, Input[2])</feature>

		<feature>InputColumn(FORM, head1(ActiveStack[0]))</feature>
		<feature>InputColumn(FORM, head2(ActiveStack[0]))</feature>
		<feature>InputColumn(FORM, head3(ActiveStack[0]))</feature>
		<feature>InputColumn(FORM, rdep(ActiveStack[0]))</feature>
	<!--	<feature>InputColumn(FORM, ldep(Input[0]))</feature>-->
		<feature>InputColumn(FORM, pred(Input[0]))</feature>
		
                <feature>OutputArcRelated(DEPREL, ActiveStack[0], Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, ActiveStack[1], Input[0])</feature>
                <feature>OutputArcRelated(DEPREL, ActiveStack[2], Input[0])</feature>

                <feature>InputColumn(CPOSTAG, ActiveStack[0])</feature>
		<feature>InputColumn(CPOSTAG, Input[0])</feature>
		<feature>InputColumn(CPOSTAG, pred(Input[0]))</feature>
		<feature>InputColumn(FEATS, ActiveStack[0])</feature>
		<feature>InputColumn(FEATS, Input[0])</feature>
		<feature>InputColumn(FEATS, pred(Input[0]))</feature>

<feature>InputColumn(POSTAG, head1(Input[0]))</feature>
<feature>InputColumn(POSTAG, head2(Input[0]))</feature>
<feature>InputColumn(POSTAG, head3(Input[0]))</feature>

<feature>InputColumn(POSTAG, InactiveStack[0])</feature>
		<feature>InputColumn(POSTAG, InactiveStack[1])</feature>
<feature>InputColumn(POSTAG, InactiveStack[2])</feature>

<!-- Es necesario-->
		<feature>OutputColumn3TOneHead(DEPREL, ActiveStack[0])</feature>
        </featuremodel>
</featuremodels>
